using Microsoft.Extensions.DependencyInjection;
using Volo.Abp.Modularity;

namespace NPin.Framework.AspNetCore.Authentication.OAuth;

/// <summary>
/// AspNet.Security.OAuth.QQ
/// </summary>
[DependsOn(typeof(NPinFrameworkAspNetCoreModule))]
public class NPinFrameworkAspNetCoreAuthenticationOAuthModule : AbpModule
{
    public override void ConfigureServices(ServiceConfigurationContext context)
    {
        context.Services.AddHttpClient();
    }
}